Imagick::getResource
Imagick::getSamplingFactors
Imagick
PHP Manual

# Imagick::getResourceLimit

(PECL imagick 2.0.0)

Imagick::getResourceLimit — Returns the specified resource limit

### Description

int Imagick::getResourceLimit ( int `$type` )

Returns the specified resource limit in megabytes.

### Parameters

`type`

  Refer to the list of resourcetype constants.

### Return Values

Returns the specified resource limit in megabytes.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getResource
Imagick::getSamplingFactors
Imagick
PHP Manual